> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Start a new billing execution

> Operacion: Start a new billing execution.



## OpenAPI

````yaml /generated/specs/finance.json post /api/billing/ejecucion
openapi: 3.0.0
info:
  title: Raul API - Finanzas
  description: >-
    Facturas, boletas, ejecuciones de billing, cuentas por pagar y medios de
    pago.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/billing/ejecucion:
    post:
      tags:
        - Billing - Ejecucion Facturacion
      summary: Start a new billing execution
      description: 'Operacion: Start a new billing execution.'
      operationId: ExecutionController_startBillingExecution
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StartBillingExecutionDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EjecucionFacturacionResponseDto'
      security:
        - bearerAuth: []
components:
  schemas:
    StartBillingExecutionDto:
      type: object
      properties:
        periodo:
          type: string
          description: Period in YYYY-MM format
          example: 2024-01
        usuario_id:
          type: string
          description: User UUID who starts the execution
      required:
        - periodo
    EjecucionFacturacionResponseDto:
      type: object
      properties:
        id:
          type: string
        periodo:
          type: string
        fecha_inicio:
          format: date-time
          type: string
        fecha_fin:
          format: date-time
          type: string
        usuario_id:
          type: string
        estado:
          type: string
        total_intentadas:
          type: number
        total_exitosas:
          type: number
        total_fallidas:
          type: number
        porcentaje:
          type: number
        resumen_json:
          type: object
        created_at:
          format: date-time
          type: string
        updated_at:
          format: date-time
          type: string
      required:
        - id
        - periodo
        - fecha_inicio
        - estado
        - total_intentadas
        - total_exitosas
        - total_fallidas
        - porcentaje
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````